#ifdef SIGNED_CUBEMAP

samplerCUBE NormalizeMap;

float3 CubeNormalize(float3 Vector){
	return texCUBE(NormalizeMap, Vector);
}

#elif defined(UNSIGNED_CUBEMAP)

samplerCUBE NormalizeMapSigned;

float3 CubeNormalize(float3 Vector){
	return (texCUBE(NormalizeMapSigned, Vector) - 0.5f) * 2;
}

#else

samplerCUBE FakeNormalizeMap;

float3 CubeNormalize(float3 Vector){
	return texCUBE(FakeNormalizeMap, Vector);
}

#endif